#!/bin/sh

set -e

PROJVERS=0.0.1
PROJNAME=syp

BUILDDIR=${1:-build}
DESTDIR=${BUILDDIR}/${PROJNAME}-${PROJVERS}

rm -rf $BUILDDIR
mkdir -p $DESTDIR

# php includes
cp -RLp inc/ $DESTDIR/

# other php files
cp -p admin.php auth.php changes.php index.php items.php wizard.php $DESTDIR/

# media
cp -RLp media/ $DESTDIR/

# openlayers
mkdir -p $DESTDIR/openlayers
cd openlayers/build/
python build.py ../../syp.cfg
cd ../../
cp -RLp openlayers/build/OpenLayers.js $DESTDIR/openlayers/
cp -RLp openlayers/img/ $DESTDIR/openlayers/
cp -RLp openlayers/theme/ $DESTDIR/openlayers/

# other javascript
cp -RLp js/ $DESTDIR/

# replace jquery with minified version
for file in $DESTDIR/js/jquery-*.min.js; do
    jversion=${file##$DESTDIR/js/jquery-}
    jversion=${jversion%%\.min\.js}
    mv $file $DESTDIR/js/jquery-$jversion.js
done

# copyright and readme files
cp -p license.txt README.txt COPYING.txt $DESTDIR/

# creates upload directory
mkdir $DESTDIR/upload
chmod a+wx $DESTDIR/upload

# generate sources
cd $BUILDDIR
tar -pczf ${PROJNAME}_${PROJVERS}.tar.gz ${PROJNAME}-${PROJVERS}
zip -r ${PROJNAME}_${PROJVERS}.zip ${PROJNAME}-${PROJVERS}
cd ..
